Permalink
Commits on Mar 25, 2015
  1. Merge pull request #273 from alphagov/utilise-travis-containers

    Utilise Travis containers
    jabley committed Mar 25, 2015
Commits on Feb 2, 2015
Commits on Jan 30, 2015
  1. Handle strings with ‘ in them

    This migration failed in one environment with
    
    [efg-frontend-1] executing command
    *** [err :: efg-frontend-1] rake aborted!
    *** [err :: efg-frontend-1] StandardError: An error has occurred, all later migrations canceled:
    *** [err :: efg-frontend-1] 
    *** [err :: efg-frontend-1] Mysql2::Error: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'S LTD')' at line 2:
    *** [err :: efg-frontend-1] INSERT INTO data_corrections (loan_id,created_by_id,change_type_id,oid,seq,date_of_change,modified_date,modified_user,ar_timestamp,ar_insert_timestamp,_legacy_business_name,_legacy_old_business_name)
    *** [err :: efg-frontend-1] VALUES ('1','1','1','1','1','1970-01-01','1970-01-01','jabley','1970-01-01 00:00:00','1970-01-01 00:00:00','ACME LIMITED','Ben and Niall's LTD')
    jabley committed Jan 30, 2015
Commits on Jan 29, 2015
  1. Merge pull request #264 from alphagov/new-data-correction-types

    New data correction types
    jabley committed Jan 29, 2015
Commits on Jan 27, 2015
  1. Merge pull request #268 from alphagov/all-lenders-in-claim-limit-report

    All lenders in claim limit report
    jabley committed Jan 27, 2015
  2. Merge pull request #265 from alphagov/feature/use-ci-ruby-version

    Use same version of Ruby as CI
    jabley committed Jan 27, 2015
  3. Use same version of Ruby as CI

    I get the failure in the VM, using ruby 2.1.4p265 and CI, but not in
    Travis. Trying to understand why that is :(.
    
    ```
    lender dashboard CfeUser behaves like dashboard not progressed loan alerts should display high, medium and low priority loan alerts
         Failure/Error: page.should have_css "#not_progressed_loan_alerts a.high-priority .total-loans", text: “1”
    ```
    
    For now, we will mark the failing test as pending. This is a short-term
    measure to let us continue with development and it should be reinstated
    when migrating to a new environment, fixing any issue then.
    jabley committed Jan 19, 2015
Commits on Jan 16, 2015
  1. Merge pull request #263 from alphagov/feature/fix-ci

    CI doesn’t like the nokogiri upgrade
    jabley committed Jan 16, 2015
Commits on Jan 15, 2015
  1. Merge pull request #248 from alphagov/upgrade-rails-v4.1.5

    Upgrade to rails v4.1.9
    jabley committed Jan 15, 2015
Commits on Jan 12, 2015
  1. Merge pull request #262 from alphagov/fix-incorrect-lending-limits

    Reassign lending limits.
    jabley committed Jan 12, 2015
  2. Merge pull request #261 from alphagov/claim-limit-calculation-fix

    Claim limit calculation fix
    jabley committed Jan 12, 2015
  3. Merge pull request #260 from alphagov/loan-lender-correction

    Fix incorrect lender on loan.
    jabley committed Jan 12, 2015
Commits on Nov 27, 2014
  1. Merge pull request #259 from alphagov/update-rails-3-2-21

    Update rails to  v3.2.21
    jabley committed Nov 27, 2014
Commits on Nov 5, 2014
  1. Revert "Revert "Use ruby 2.1.4 – our current preferred version""

    This reverts commit c018e45.
    
    The lovely @alext built a package for me.
    jabley committed Nov 5, 2014
  2. Revert "Use ruby 2.1.4 – our current preferred version"

    This reverts commit 5b6f1ac.
    
    Our CI is currently on lucid and doesn't have a 2.1.4 rbenv package.
    jabley committed Nov 5, 2014
Commits on Nov 4, 2014
  1. Merge pull request #258 from alphagov/bump-ruby-version

    Use ruby 2.1.4 – our current preferred version
    jabley committed Nov 4, 2014
Commits on Nov 3, 2014
  1. Merge pull request #257 from alphagov/feature/fix-css

    Fix CSS import path
    jabley committed Nov 3, 2014
  2. Fix CSS import path

    jabley committed Nov 3, 2014
  3. Merge pull request #256 from alphagov/upgrade-twitter-bootstrap

    Update twitter-bootstrap-rails
    jabley committed Nov 3, 2014
Commits on Nov 2, 2014
  1. Update twitter-bootstrap-rails

    We aren’t vulnerable to CVE-2014-4920 but just tracking the releases.
    jabley committed Nov 2, 2014
  2. Merge pull request #255 from alphagov/upgrade-rails

    Upgrade rails due to CVE-2014-7818
    jabley committed Nov 2, 2014
Commits on Oct 31, 2014
Commits on Sep 29, 2014
  1. Merge pull request #253 from alphagov/add-lender-reference-data-corre…

    …ction
    
    Add Lender Reference Data Correction
    jabley committed Sep 29, 2014
  2. Merge pull request #254 from alphagov/exclude-post-claim-realisations…

    …-from-claim-limit-calculations
    
    Exclude Post Claim Realisations from Claim Limit Calculations
    jabley committed Sep 29, 2014
Commits on Sep 5, 2014
  1. Merge pull request #249 from alphagov/add-scheme-phase-to-loan-report

    Add Scheme / Phase to Loan Report
    jabley committed Sep 5, 2014
  2. Merge pull request #252 from alphagov/filter-loan-report-by-all-lenders

    Filter Loan Report by All Lenders
    jabley committed Sep 5, 2014
  3. Merge pull request #250 from alphagov/display-financial-year-for-phase

    Display the Phase's financial year alongside its name
    jabley committed Sep 5, 2014
Commits on Aug 19, 2014
  1. Reduce number of workers

    Want to use some of the RAM on our production environment for a RAM disk
    to make il2->il0 data run faster.
    jabley committed Aug 19, 2014
Commits on Aug 15, 2014
  1. Don't build on 1.9.3 in travis

    We run 2.1.2 in production now.
    jabley committed Aug 15, 2014
  2. Don’t install development gems in CI

    debugger doesn’t work under 2.1.2 and isn’t needed.
    jabley committed Aug 15, 2014